Bug 125812 - "force user" and "write list" do not work anymore
"force user" and "write list" do not work anymore
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-11 15:07 EDT by Markus Dobel
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 13:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markus Dobel 2004-06-11 15:07:28 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (Windows NT 5.0; U)  [en]

Description of problem:
The following share:

        path                            = /home/data
        guest ok                        = no
        browseable                      = no
        read only                       = yes
        write list                      = @datarw
        directory mask                  = 0750
        create mask                     = 0640
        force user                      = data
        force group                     = datausers

should be: 
  inaccessible for "the world"
  readable by any valid user
  writeable by members of "datarw"

all users accessing this share are members of the group "datausers", 
the read/write users are members of "datarw", too. all files and 
directories in the share have the same permissions like defined in 
directory/create mask:

-rw-r-----   1 data datausers    444807 Feb  2 00:05 somefile
drwxr-x---   2 data datausers       392 May 20 11:02 somedirectory

This setup behaved as expected for years starting with redhat 6.x 
(and the corresponding samba version)up to fedora core 1 with 

in 3.0.4 it seems, that "force user" and/or "write list" is ignored, 
as the share is not writeable anymore.

Downgrade to 3.0.2 "fixed" the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install samba-3.0.2 with security=user and the described share
2. Try to write to the share -> works
3. Upgrade to samba-3.0.4 -> no write access

Actual Results:  no write access to the share

Expected Results:  being able to write to the shared folder

Additional info:
Comment 1 Matthew Miller 2006-07-11 13:28:48 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:13:51 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Many
changes have occurred since these older releases.  Please install a supported
version of Fedora Core and retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.